Author Topic: cant install any php version  (Read 15009 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
cant install any php version
« on: August 21, 2019, 10:20:02 AM »
i have already installed cwp on several virtual machines and i never have any problem installing some php version with php selector but now i have and i cant resolve it .. first of all i'm using free version of CWP version: 0.9.8.867 running on CentOS Linux release 7.6.1810 (Core) with Kernel Version: 3.10.0-042stab128.2 ..i try to compile and build php 5.4.45 and php 7.3.8 but with no luck.. php dependencies are installed that part of the script is executing and install .. that part pass and after that script get ioncube_loaders_lin_x86-64.tar.gz but compiling stop on

Code: [Select]
php-5.4.45/build/scan_makefile_in.awk
php-5.4.45/build/shtool
/usr/local/cwp/.conf/php_conf/php54.conf: line 1: ./configure: Permission denied
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
chdir: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
--2019-08-21 09:30:08--  http://downloads.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.zip

also for 7.3.8 stops on same part

Code: [Select]
php-7.3.8/Zend/zend_alloc.h
php-7.3.8/acinclude.m4
php-7.3.8/makedist
/usr/local/cwp/.conf/php_conf/php73.conf: line 1: ./configure: Permission denied
make: *** No targets specified and no makefile found.  Stop.
make: *** No rule to make target `install'.  Stop.
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
chdir: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory

here is /usr/local/cwp/.conf/php_conf/php54.conf
Code: [Select]
./configure  --prefix=/opt/alt/php54/usr --with-config-file-path=/opt/alt/php54/usr/php --with-config-file-scan-dir=/opt/alt/php54/usr/php/php.d --with-zlib --enable-soap --with-mysql-sock=/var/lib/mysql/mysql.sock --with-pspell --enable-wddx --with-tidy --enable-exif --enable-phar --enable-bcmath --enable-calendar --with-curl --with-iconv --with-mysql --with-mysqli --with-mysql=mysqlnd --with-mysqli=mysqlnd --with-mcrypt --with-gettext --with-xsl --with-xmlrpc --with-pdo-mysql=mysqlnd --enable-posix --enable-ftp --with-openssl --enable-mbstring --with-kerberos --with-bz2 --enable-sockets --enable-zip --with-gd --with-jpeg-dir=/usr --with-freetype-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --with-pcre-regex --with-libdir=lib64 --enable-intl --with-icu-dir=/usr
here is /usr/local/cwp/.conf/php_conf/php73.conf
Code: [Select]
./configure  --prefix=/opt/alt/php73/usr --with-config-file-path=/opt/alt/php73/usr/php --with-config-file-scan-dir=/opt/alt/php73/usr/php/php.d --with-zlib=/usr --enable-mbstring --enable-zip --enable-bcmath --enable-pcntl --enable-ftp --enable-exif --enable-calendar --enable-sysvmsg --enable-sysvsem --enable-sysvshm --enable-wddx --with-tidy --with-curl --with-iconv --with-gmp --with-pspell --with-gd --with-jpeg-dir=/usr --with-freetype-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --enable-gd-jis-conv --with-webp-dir=/usr --with-zlib-dir=/usr --with-xpm-dir=/usr --with-openssl --with-pdo-mysql=mysqlnd --with-gettext=/usr --with-bz2=/usr --with-recode=/usr --with-mysqli --enable-soap --enable-phar --with-xsl --with-xmlrpc --with-kerberos --enable-posix --enable-sockets --with-pcre-regex --with-libdir=lib64 --with-mysql-sock=/var/lib/mysql/mysql.sock --enable-intl --with-icu-dir=/usr
and also when try to install ioncube

Code: [Select]
'loader-wizard.php' -> '/usr/local/ioncube/loader-wizard.php'
yes: standard output: Broken pipe
yes: write error
Redirecting to /bin/systemctl restart httpd.service

Build Completed
###################

i know that php cant be complied and the error is ./configure: Permission denied but why there is permission denied on the first line ..

can some one refer me what to check :)
thank you

Offline
*
Re: cant install any php version
« Reply #1 on: August 30, 2019, 11:25:37 AM »
thank everybody for the help .. i fix it the problem was tar.gz file i download manual and i compile php manual ..

Offline
*
Re: cant install any php version
« Reply #2 on: May 17, 2023, 11:43:47 AM »
would you like to share the tutorial? Thank You

Offline
****
Re: cant install any php version
« Reply #3 on: May 18, 2023, 02:51:51 AM »
And out of curiosity, why not PHP 5.6 and 7.4? Even though both are still EOL, they at least feature every available security patch for that code series.

Offline
*
Re: cant install any php version
« Reply #4 on: May 19, 2023, 07:02:49 PM »
It seems the problem is associated with access permissions. Look at the error:

/usr/local/cwp/.conf/php_conf/php54.conf: line 1: ./configure: Permission denied

Most likely for PHP 5.4 it could be fixed by modifying the script /usr/local/cwp/.conf/php_conf/php54.conf

Just put the line:

Code: [Select]
chmod 755 ./configure
as the first line of the script. (Similar to other php versions)